package prt2.breakthrough;

import android.app.Activity;
import android.os.Bundle;
import android.widget.TextView;

public class GameActivity extends Activity {

    private GameView gameView;
    private static String ICICLE_KEY = "game-view";

    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);

        setContentView(R.layout.game_layout);

        gameView = (GameView) findViewById(R.id.gameView);
        gameView.setTextView((TextView) findViewById(R.id.text));

        if (savedInstanceState == null) {
            gameView.setMode(GameView.READY);
        } else {
            Bundle map = savedInstanceState.getBundle(ICICLE_KEY);
            if (map != null) {
                gameView.restoreState(map);
            } else {
                gameView.setMode(GameView.PAUSE);
            }
        }
    }

    @Override
    protected void onPause() {
        super.onPause();
        gameView.setMode(GameView.PAUSE);
    }

    @Override
    public void onSaveInstanceState(Bundle outState) {
        outState.putBundle(ICICLE_KEY, gameView.saveState());
    }
}
